ECalViewListener
3
LIBECAL Library

# ECalViewListener

Listens for responses and event notifications sent by e-cal-view.

## Synopsis

                        ECalViewListener;
    ECalViewListener *  e_cal_view_listener_new             (void);

## Object Hierarchy

      GObject
       +----BonoboObject
             +----ECalViewListener

## Signals

      "objects-added"                                  : Run First
      "objects-modified"                               : Run First
      "objects-removed"                                : Run First
      "view-done"                                      : Run First
      "view-progress"                                  : Run First

## Description

## Details

### ECalViewListener

    typedef struct _ECalViewListener ECalViewListener;

### e_cal_view_listener_new ()

    ECalViewListener *  e_cal_view_listener_new             (void);

Creates a new ECalViewListener object.

Returns :

  the newly created ECalViewListener.

## Signal Details

### The `"objects-added"` signal

    void                user_function                      (ECalViewListener *ecalviewlistener,
                                                            gpointer          arg1,
                                                            gpointer          user_data)             : Run First

`ecalviewlistener` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.

### The `"objects-modified"` signal

    void                user_function                      (ECalViewListener *ecalviewlistener,
                                                            gpointer          arg1,
                                                            gpointer          user_data)             : Run First

`ecalviewlistener` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.

### The `"objects-removed"` signal

    void                user_function                      (ECalViewListener *ecalviewlistener,
                                                            gpointer          arg1,
                                                            gpointer          user_data)             : Run First

`ecalviewlistener` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.

### The `"view-done"` signal

    void                user_function                      (ECalViewListener *ecalviewlistener,
                                                            gint              arg1,
                                                            gpointer          user_data)             : Run First

`ecalviewlistener` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.

### The `"view-progress"` signal

    void                user_function                      (ECalViewListener *ecalviewlistener,
                                                            gchar            *arg1,
                                                            gint              arg2,
                                                            gpointer          user_data)             : Run First

`ecalviewlistener` :

  the object which received the signal.

`arg1` :

`arg2` :

`user_data` :

  user data set when the signal handler was connected.

## See Also

e-cal-view